# Базов пакет за приложения в Windows 10 (Windows 10 App Essentials) #

* Автори: Joseph Lee, Derek Riemer и други потребители на Windows 10
* Изтегляне на [стабилна версия][1]
* Изтегляне на [тестова версия][2]
* Съвместимост с NVDA: от 2018.3 до 2019.1

Тази добавка е колекция от спомагателни модули за разни приложения в Windows
10. Тя също така съдържа поправки и подобрения за разни контроли в
интерфейса на windows 10.

Включени са следните спомагателни модули за дадени приложения и модули за
приложения (прегледайте раздела за съответното приложение за подробности
относно включените неща):

* Работен център
* Аларми и часовник.
* Календар
* Калкулатор (универсално приложение).
* Cortana
* Център за обратна връзка
* Поща
* Карти
* Microsoft Edge
* Модерна клавиатура (панел с emoji/предложения при въвеждане от хардуерно
  устройство/записи в облачния клипборд във версия 1709 и по-нови)
* Хора
* Настройки (настройки на системата, Windows+I).
* Skype (универсално приложение)
* Магазин
* Време
* Разни модули за контроли, като например плочките в менюто „Старт“.

Забележки:

* Тази добавка изисква Windows 10 версия 1803 (компилация 17134) или по-нова
  и NVDA 2018.3 или по-нова. За най-добри резултати, използвайте добавката с
  последната стабилна версия на Windows 10 (компилация 17763) и най-новата
  стабилна версия на NVDA.
* Някои функции на добавката са в момента или ще бъдат включени в екранния
  четец NVDA.
* За записи, които не са изброени по-долу, можете да приемете, че функциите
  са част от NVDA, вече не са приложими, тъй като добавката не поддържа
  стари версии на Windows 10 или са направени промени в Windows 10 и
  приложенията, които правят записите вече неприложими.
* Самостоятелната функция за проверка за обновления в тази добавка е
  премахната. Ако желаете и за в бъдеще да можете да обновявате добавката
  автоматично, моля, използвайте за целта добавката "Обновяване на
  добавките".

За списък на промените, направени между всяко издание на добавката, вижте
документа ["Списък с промените за всяко издание на добавката"][3].

## Общи

* Вътрешни промени, с цел съвместимост на добавката с бъдещите версии на
  NVDA.
* Малки промени в начина на представяне на някои съобщения на езици,
  различни от английски.
* Подменютата биват правилно разпознати в различни приложения, включително
  контекстното меню за плочки от менюто "Старт" и менюто на приложението
  Microsoft Edge (Redstone 5).
* Някои диалогови прозорци вече биват коректно разпознати и докладвани като
  такива. Това включва диалоговия прозорец за Insider Preview (приложението
  Настройки). Това е вече включено в NVDA 2018.3.
* В повечето случаи NVDA ще може да съобщава броя на предложенията, когато
  извършвате търсене. Тази функция се контролира от опцията "Докладвай
  местоположението на обекта" в диалоговия прозорец/категорията от
  настройките на NVDA "Представяне на обектите".
* В някои контекстни менюта (например в Edge) вече не се съобщава
  информацията за позицията (например 1 от 2).
* Разпознават се следните UIA събития: active text position change,
  controller for, drag start, drag cancel, drag complete, element selected,
  item status, live region change, notification, system alert, tooltip
  opened, window opened. Когато е указано на NVDA да работи с включено
  протоколиране за отстраняване на грешки, тези събития ще бъдат
  проследявани. А за събития за UIA известия, ще бъде възпроизвеждан и тон
  за отстраняване на грешки ако известията идват от приложение различно от
  текущо фокусираното.
* Подсказките в Edge и другите универсални приложения биват разпознавани и
  ще бъдат съобщавани.
* При отваряне, затваряне или превключване между виртуалните работни
  плотове, NVDA ще съобщава идентификатора на текущия работен плот (например
  "Работен плот 2").
* NVDA вече няма да съобщава размера на менюто "Старт" при промяна на
  разделителната способност или ориентацията на екрана.

## Работен център

* Бутонът за бързо действие за яркостта на екрана сега вече се третира като
  бутон, а не като превключвател. Това ще бъде включено в ядрото на NVDA за
  версия2019.1.
* Вече ще бъдат докладвани разни промени в състоянието, като например "Помощ
  за фокусиране" и "Яркост". Това ще бъде включено в ядрото на NVDA за
  версия2019.1.

## Аларми и часовник

* Стойностите за избор на час в съответните контроли вече се съобщават
  коректно. Забележимо при преместване на фокуса върху въпросните
  контроли. Това важи и за контролата за избор на време в което да се
  рестартира компютъра с цел довършване на инсталирането на актуализации за
  Windows. Това ще бъде включено в ядрото на NVDA за версия2019.1.

## Калкулатор

* Когато бъде натиснат ENTER или ESCAPE, NVDA съобщава резултатите от
  изчислението.
* За изчисления като конвертирането на единици и валута, NVDA ще съобщава
  резултатите веднага щом бъдат въведени стойности.
* NVDA вече няма да съобщава "заглавие ниво" за резултатите в приложението
  Калкулатор.

## Календар

* NVDA вече не съобщава "поле за писане" или "само за четене" в полето за
  съдържанието на съобщението в Поща и в други полета.

## Cortana

* Текстовите отговори от Cortana се съобщават в повечето случаи (ако не
  сработва, пробвайте да отворите повторно менюто „Старт“ и пак да изпълните
  търсенето).
* NVDA няма да изговаря нищо докато комуникирате с Cortana посредством глас.
* NVDA вече ще съобщава потвърждението за напомняне, след като сте задали
  такова.

## Център за обратна връзка

* За по-новите издания на приложението, NVDA вече няма да съобщава двукратно
  категориите за обратна връзка.

## Поща

* При преглеждане на елементи в списъка със съобщения, вече можете да
  използвате командите за навигация в таблици за преглед на заглавките на
  избраното съобщение. Имайте предвид, че навигирането между редовете
  (съобщенията) не се поддържа.
* При писане на съобщение, появата на предложения за споменавания биват
  указвани със звук.

## Карти

* NVDA възпроизвежда звук като ориентир за дадено местоположение от картата.
* При използване на изгледа "street side" и ако опцията "Използвай
  клавиатурата" е включена, NVDA ще съобщава адресите на улиците при
  използване на стрелките за навигиране по картата.

## Microsoft Edge

* Автоматичното дописване на текст ще бъде проследявано и докладвано в
  адресната лента на Edge и други подобни места.
* NVDA вече няма да възпроизвежда звука за налични предложения, когато
  натиснете F11, за да превключите на цял екран.

## Модерна клавиатура

Забележка: повечето функции изброени по-долу са вече част от NVDA 2018.3.

* Поддръжка за панела за въвеждане на emoji във версия 1709 (есенната
  актуализация за творци) и по-нови, включително преработения дизайн на
  панела във версия 1809 (компилация 17661 и по-нови) и промените направени
  в 19H1 (компилация 18262 и по-нови, включително категориите за каомоджи и
  символи в компилация 18305). Ако използвате версия на NVDA по-стара от
  2018.4, за най-добри резултати при четене на емоджи, използвайте речев
  синтезатор от пакета Windows OneCore. Ако използвате версия на NVDA 2018.4
  или по-нова, задействайте настройката "Включвай данни от Уникод
  консорциума (включително емоджи) при обработката на знаци и символи" от
  настройките за реч на NvDA и задайте нивото на препинателните
  знаци/символите на "някои" или на по-високо.
* Поддръжка за предложения при въвеждане от хардуерна клавиатура във версия
  1803 (актуализацията за април 2018 г.) и по-нови.
* Във версиите на Windows 10 след 1709, NVDA ще докладва първото избрано
  емоджи, когато се отваря панела за емоджи. Това е по-забележимо при
  компилация 18262 и по-нови, където панелът за емоджи може да се отвори с
  фокус в последната разглеждана категория, като например показване на
  модификатор за избор на тон на кожата при отваряне на категорията "Хора".
* Поддръжка за съобщаване на елементите от облачния клипборд във версия 1809
  (компилация 17666 и по-нови).
* Намалена е излишната словесност при работа с модерната клавиатура и
  нейните функции. Това включва премахване на съобщаването на "Microsoft
  Candidate UI" при отваряне на предложения за въвеждане при въвеждане от
  хардуерната клавиатура и прекъсване на говора, когато определени клавиши
  от сензорната клавиатура предизвикват събитие за промяна на име (name
  change event) при някои системи.
* NVDA вече няма да възпроизвежда тонове за грешка или да не прави нищо при
  затваряне на панела за емоджи в по-новите 19H1 компилации на Insider
  Preview.
* Във версия 1809 (Актуализация за Октомври 2018 г.) и по-нови, NVDA ще
  съобщава резултатите от търсенето за емоджита, ако е възможно.

## Хора

* При търсене на контакти, ще бъде съобщено първото предложение, особено ако
  използвате най-новите версии на приложенията.

## Настройки

* Определена информация, като например напредъка на Windows Update, сега
  бива докладвана автоматично, както и приспособлението за управление на
  паметта за съхранение/почистване на диска.
* Стойностите на лентите за напредъка и друга информация вече не се
  съобщават двукратно.
* За дадени падащи списъци и радио бутони, NVDA вече ще успява да разпознава
  техните етикети и ще съобщава промените в стойностите им.
* Вече не се възпроизвеждат звукови сигнали от лентите за напредъка за
  индикацията на силата на звука във версия 1803 и по-нови.
* Изговарят се още допълнителни съобщения за състоянието на Windows Update,
  особено при срещане на грешки от страна на Windows Update.
* NVDA вече няма да бездейства или да възпроизвежда тонове за грешка, при
  използване на команди за обектна навигация под определени обстоятелства.
* Диалоговият прозорец за напомняне от Windows Update, вече коректно се
  разпознава като такъв.

## Skype

Забележка: изброените по-долу неща няма да работят правилно в Skype версия
14 от Microsoft Store.

* Текстът на индикатора за писане бива съобщаван, както това става в Skype
  за работен плот.
* Клавишните комбинации от Control+NVDA+цифрите от цифровия ред за прочитане
  на последните 10 съобщения в дискусията и за преместване на навигационния
  обект до записите в чата налични в Skype за работен плот, вече са налични
  и в Skype UWP.
* Сега можете да навигирате до хронологията (списъка с дискусиите) чрез
  Alt+1,  до списъка с контактите чрез Alt+2, до ботовете чрез Alt+3 и до
  полето за писане на съобщение чрез Alt+4. Обърнете внимание, че трябва да
  разполагате с версията на Skype обновена през месец март 2017 г., за да
  работят правилно тези клавишни комбинации.
* В повечето случаи NVDA вече няма да съобщава "Съобщение от Skype" при
  преглед на съобщенията.
* От списъка със съдържанието на дискусията натискането на NVDA+D върху
  дадено съобщение сега ще позволи на NVDA да съобщава подробна информация
  за дадено съобщение, например типа на канала на изпращане, дата и час на
  изпращането и т.н.

## Магазин

* След проверка за актуализации на приложенията, тези за които е налична
  актуализация биват правилно етикетирани.
* При изтегляне на съдържание като приложения и филми, NVDA ще съобщава
  името на продукта и напредъка на изтеглянето.

## Време

* Раздели като "Прогноза за времето" и "Карти" биват правилно разпознати
  като раздели (принос от Derek Riemer).
* Когато четете прогнозата, използвайте лявата и дясната стрелка за
  преместване между елементите. Използвайте стрелките за нагоре и надолу, за
  да прочетете отделните елементи. Например, като натиснете стрелка надясно,
  може да се съобщи нещо от типа на "Вторник 6, Висока ‎‎22°, Ниска ‎‎13°,
  Облачно". При натискане на стрелка надолу ще се съобщи "Вторник". При
  следващото натискане ще се съобщи следващия елемент (например
  температурата). Към момента това работи за дневната и почасовата прогнози.

[[!tag dev stable]]

[1]: https://addons.nvda-project.org/files/get.php?file=w10

[2]: https://addons.nvda-project.org/files/get.php?file=w10-dev

[3]: https://github.com/josephsl/wintenapps/wiki/w10changelog
