# Windows 10 App Essentials #

* Autores: Joseph Lee, Derek Riemer e outros usuarios do Windows 10
* Descargar [versión estable][1]
* Descargar [versión de desenvolvemento][2]
* Compatibilidade con NVDA: da 2018.3 á 2019.1

Este complemento é unha coleción de app modules para varias aplicacións de
Windows 10, así coma melloras e correccións para certos controis de windows
10.

Inclúense os seguintes app modules ou o apoio para módulos para algunhas
aplicacións (consulta cada sección para a aplicación para detalles sobre que
se inclúe):

* Centro de accións
* Alarmas e reloxo.
* Calendario
* Calculadora (modern).
* Cortana
* Centro de Opinións
* Correo
* Mapas
* Microsoft Edge
* Teclado Moderno (suxerencias de panel emoji /entrada hardware na Versión
  1709 e posterior)
* Xente
* Opcións (opcións do sistema, Windows+I)
* Skype (aplicación universal)
* Tenda
* O Tempo
* Módulos misceláneos para controis como mosaicos do Menú Inicio.

Notas:

* This add-on requires Windows 10 Version 1803 (build 17134) or later and
  NVDA 2018.3 or later. For best results, use the add-on with latest Windows
  10 stable release (build 17763) and latest stable version of NVDA.
* Algunhas das características do complemento son ou serán parte do lector
  de pantalla NVDA.
* For entries not listed below, you can assume that features are part of
  NVDA, no longer applicable as the add-on does not support old Windows 10
  releases, or changes were made to Windows 10 and apps that makes entries
  no longer applicable.
* Standalone update check from this add-on has been removed. For future
  add-on updates, please use Add-on Updater add-on.

Para unha lista de trocos feitos entre cada versión do complemento, visita o
documento [rexistros de trocos para publicacións de complementos][3].

## Xeral

* Trocos internos para facer ó complemento compatible con versións futuras
  do NVDA.
* Pequenos cambios en como se presentan algunhas mensaxes en linguas
  diferentes do inglés.
* Os elementos de submenú recoñécense adecuadamente en varias apps,
  incluíndo elementos do menú de contexto nas tarxetas do menú inicio e o
  menú da aplicación Microsoft Edge (Restone 5).
* Agora recoñécense certos diálogos como proprios diálogos. Esto inclúe o
  diálogo Insider Preview (settings app). Isto incluirase co NVDA 2018.3.
* NVDA pode anunciar conta de suxerencias cando se realiza unha procura na
  maioría dos casos. Esta opción contrólase por "Anunciar información de
  posición do obxecto" no diálogo/panel Presentación de Obxectos.
* En certos menús de contexto (coma no Edge), a información de posición
  (ex.: 1 de 2) xa non se anuncia.
* Recoñécense os seguintes eventos UIA: Controller for, drag start, drag
  cancel, drag complete, element selected, live region change, notification,
  system alert, tooltip opened, window opened. Co NVDA configurado para
  executarse co rexistro de depuración habilitado, estos eventos seguiranse
  e, no caso do evento UIA notification oirase un ton se as notificacións
  veñen de calquera lugar que non sexa a app actualmente activa.
* recoñeceranse e anunciaranse os consellos para o Edge e para as
  aplicacións universais.
* Cando se abran, pechen ou se conmute entre escritorios virtuales, NVDA
  anunciará o ID do escritorio actual (escritorio 2, por exemplo).
* NVDA xa non anuncia Menú Inicio tamaño de texto ao cambiar a resolución de
  pantalla ou a orientación.

## Centro de accións

* Brightness quick action is now a button instead of a toggle button. This
  will be part of NVDA 2019.1.
* Various status changes such as Focus Assist and Brightness will be
  reported. This will be part of NVDA 2019.1.

## Alarmas e reloxo

* Time picker values are now announced, noticeable when moving focus to
  picker controls. This also affects the control used to select when to
  restart to finish installing Windows updates. This will be part of NVDA
  2019.1.

## Calculadora

* Cando se prema INTRO ou Escape, NVDA anuncia os resultados do cálculo.
* Para cálculos coma conversión de unidades e conversión de moneda, o NVDA
  anunciará os resultados tan pronto coma os cálculos se introduzan.
* NVDA xa non anunciará "Nivel de nivel de cabeceira" para os resltados da
  calculadora.

## calendario

* NVDA xa non anuncia "editar" ou "só lectura" para asuntos da cita no
  Calendario e no contido do mensaxe no Correo.

## Cortana

* As respostas testuais de Cortana anúncianse na mayoría das situacións(se
  non se reabre o menú inicio e téntase a procura de novo).
* NVDA silenciarase cando lle fales ao Cortana a través da voz.
* NVDA agora anunciará a confirmación de lembrarse despois de que axustes
  unha.

## Centro de Opinións

* En novas versións da app, NVDA non lerá as categorías de comentarios dúas
  veces.

## Correo

* Cando se revisan elementos na listaxe de mensaxes, agora podes usar ordes
  de navegación de táboas para revisar as cabeceiras de mensaxe. Téñase en
  conta que a navegación entre fileiras(mensaxes) non se soporta.
* Cando se escrebe unha mensaxe, a apariencia da mención de suxerencias
  indícase con sons.

## Mapas

* NVDA reproduce pitidos de localización para lugares no mapa.
* Cando se usa a vista lateral da rúa e se a opción "usar teclado" está
  habilitada, NVDA anunciará os enderezos das rúas según utilices as teclas
  das frechas para navegar polo mapa.

## Microsoft Edge

* Farase un seguimento do autocompletado de texto e anunciarase na omnibarra
  de direccións.
* NVDA will no longer play suggestion sound when pressing F11 to toggle full
  screen.

## Teclado Moderno

Nota: A maioría das características a continuación son parte de NVDA 2018.3.

* Soporte para o panel flotante de entrada de Emoji na actualización 1709
  Fall Creators en adiante, incluindo o panel redeseñado na compilación
  17661 e os trocos realizados en 19H1 (compilación 18262 e posterior,
  incluíndo kaomoji e categorías de símbolos na compilación 18305). Se usas
  versións de NVDA anteriores á 2018.4, utiliza o sintetizador de voz
  Windows OneCore para a mellor experiencia lendo emojis. Se a versión en
  uso é a 2018.4 ou posterior, habilita a opción do Unicode Consortium dende
  as opcións de voz do NVDA e establece o nivel de símbolos en "Algunha" ou
  máis alto.
* Soporte para suxerencias de entrada de teclado hardware na versión 1803
  (actualización de abril de 2018) e posterior.
* En compilacións post 1709, NVDA anunciará o primeiro emoji seleccionado
  cando se abra o Panel de Emojis. Isto faise notar máis na compilación
  18262 e posteriores nas que se pode abrir o Panel de Emojis na última
  categoría, como amosar o modificador de tono do deseño ao abrilo na
  categoría Xente.
* Soporte para o anunciado de elementos do portapapeis na nube na
  compilación 17666 (Redstone 5) e posterior.
* Reducida verbosidade innecesaria ao traballar con teclados modernos e as
  súas características. Isto inclúe que xa non se anuncie "Microsoft
  Candidate UI" ao abrir as suxestións de entrada hardware e que NVDA xa non
  quede calado cando certas teclas do teclado táctil lancen o evento cambio
  de nome nalguns sistemas.
* NVDA xa non reproducirá tons de erro ou aparentará non facer nada ao
  pechar o panel de Emojis nas compilacións Insider Preview 19H1 máis
  recentes.
* Na versión 1809 (October 2018 Update) e posteriores, NVDA anunciará os
  resultados de busca de emojis de ser posible.

## Xente

* Cando se procuren contactos, anunciarase a primeira suxestión,
  particularmente cando se utilicen versións recentes da app.

## Opcións

* Certa información como o progreso da Actualización de Windows agora é
  anunciada automáticamente, incluíndo o widget de liberación de espazo en
  disco.
* Os valores da barra de progreso e outra información xa non se anuncian
  dúas veces.
* Para algunhas caixas combinadas e botóns de opción, NVDA xa non fallará ao
  recoñecer etiquetas e/ou ao anunciar cambios de valores. 
* Os pitidos da barra de progreso do volume de audio xa non se escoitan na
  versión 1803 e posterior.
* Anúncianse máis mensaxes relativas ó estado de Windows Update,
  especialmente se Windows Update atopa erros.
* NVDA xa non parecerá non facer nada ou non reproducirá tons de erro cando
  se usen ordes de navegación de obxectos baixo certas circunstancias.
* O diálogo de recordatorio de actualización de Windows é recoñecido
  axeitadamente como un diálogo.

## Skype

Nota: As entradas seguintes non funcionarán axeitadamente na app universal
Skype 14.

* Ao teclear o indicador de texto anúnciase só coma cliente Skype para
  Escritorio.
* O comando Control+NVDA+fila de números, para ler o histórico de chats
  recentes e para mover o navegador de obxectos a entradas de chat en Skype
  para Escritorio, está tamén dispoñible no Skype UWP.
* Agora podes premer Alt+fila de números para localizar e mover a
  conversacións (1), listaxe de contactos (2), bots (3) e campo de edición
  do chat se está visible(4). Ten en conta que estas ordes funcionarán
  apropriadamente se está instalada a actualización do Skype liberada en
  Marzo do 2017.
* NVDA xa non anuncia "Mensaxe Skype" cando se revisen mensaxes para a
  maioría dos casos.
* Dende a listaxe do historial de mensaxes, premendo NVDA+D sobre un
  elemento de mensaxe agora permitirá ao NVDA anunciar información detallada
  acerca dunha mensaxe como tipo de canle, data e hora de envío e
  semellante.

## Tenda

* Despois de buscar actualizacións das aplicacións, os nomes das aplicacións
  na lista de aplicacions actualizarán as etiquetas correctamente.
* Cando se cargue contido como aplicacións e películas, NVDA anunciará o
  nome do producto e o progreso da descarga.

## O Tempo

* As pestanas como "pronósticos" e "mapas" recoñécense coma pestanas en si
  (parche de Derek Riemer).
* Cando se lea un pronóstico, usa as frechas esquerda e dereita para moverte
  entre elementos. Usa as frechas arriba e abaixo para ler os elementos
  individuais. Por exemplo, premendo a frecha dereita anunciaría "luns: 79
  graos, parcialmente nublado, ..." premendo a frecha abaixo dirá "luns"
  logo preméndoo de novo lerá o seguinte elemento (como a
  temperatura). Actualmente esto traballa para pronósticos diarios e
  horarios.

[[!tag dev stable]]

[1]: https://addons.nvda-project.org/files/get.php?file=w10

[2]: https://addons.nvda-project.org/files/get.php?file=w10-dev

[3]: https://github.com/josephsl/wintenapps/wiki/w10changelog
