# Windows10应用增强 #

* 作者: Joseph Lee, Derek Riemer and other Windows 10 users
* 下载[稳定版][1]
* 下载[开发板][2]
* NVDA兼容版本: 2018.3至2019.1

此附加组件用于各种Windows 10应用程序的模块集合，以及针对某些Windows 10控件的增强功能和修复程序。

以下应用程序模块或用于某些应用程序的支持已包含在内（请参阅每个应用程序部分以了解包含的内容）：

* 活动中心
* 时锺和闹钟。
* 日历
* 计算器（现代）。
* 小娜
* 反馈中心
* 邮件
* 地图
* 斯巴达浏览器
* 系统键盘（在版本1709及以上版本中的表情符号面板/硬件输入建议/云剪贴板的项目）
* {longName} ({name})
  版本: {version}
  网址: {url}
  {copyright}
  
{name} 遵循 GNU 通用公共授权协议第二版， 您可以自由分享或者以任何方式修改本软件， 但在重新发布时必须包含本协议，
  同时必须公开原版和修改版的源代码， 并附上任何用本软件的源代码所产生的软件。
  关于授权协议的详情,您可以通过“帮助”菜单的“授权信息”访问。
  您也可参看以下网页： https://www.gnu.org/licenses/old-licenses/gpl-2.0.html
  
{name} 是由非赢利组织“NV Access”开发的一个用于协助视障用户的免费且开放源代码的解决方案。
  若您觉的 NVDA 很实用，并希望他可以继续发展，请赞助“NV Access”。您可以通过选择位于 NVDA 主菜单的“捐赠”菜单打开捐赠页面
* 设置（系统设置，Windows + I）
* Skype（通用应用程序）
* 商店
* 天气。
* 开始菜单中瓷贴控件等其他模块。

注意:

* 此插件需要Windows 10版本1803（版本17134）或更高版本以及NVDA 2018.3或更高版本。为获得最佳体验，请使用最新Windows
  10稳定版（build 17763）和最新稳定版NVDA的插件。
* 一些插件功能可能将成为NVDA屏幕阅读器的一部分。
* 对于未在下面列出的条目，您可以假定功能是NVDA的一部分，不再适用，因为插件不支持旧版本的Windows
  10，或者对应用程序进行了更改，使条目不再适用。
* 现在已删除此插件的独立更新功能。对于以后的插件更新，请使用Add-on Updater插件更新器。

有关每个附加发行版之间所做的更改的列表，请参阅[更新日志的附加发布] [3]文档。

## 常规设置

* 内部更改使插件与未来的NVDA版本兼容。
* 某些消息以英语以外的语言呈现的细微变化。
* 现在子菜单项在各种应用程序中都可以正确识别，包括“开始”菜单磁贴的上下文菜单和Microsoft Edge的应用程序菜单（Redstone 5）。
* 某些对话框现在被识别为正确的对话框并按此朗读，包括“内幕预览”对话框（设置应用程序）。这是NVDA 2018.3的一部分。
* NVDA可以在大多数情况下执行搜索时朗读建议计数。 此选项由对象查看对话框/面板中的“读出对象位置信息”控制。
* 在某些上下文菜单中（例如在Edge中），位置信息（例如，1、2）不再被朗读。
* 现在识别以下UIA事件：活动文本位置更改，控制器，拖动开始，拖动取消，拖动完成，元素选择，项目状态，实时区域更改，通知，系统警报，工具提示打开，窗口打开。将NVDA设置为启用调试日志记录运行时，将跟踪这些事件，对于UIA通知事件，如果通知来自当前活动应用程序以外的某个位置，则会听到调试音。
* 来自Edge和通用应用程序的工具提示已被识别并将被朗读。
* 在虚拟桌面之间打开，关闭或切换时，NVDA会读出当前的桌面ID（例如，桌面2）。
* 在更改屏幕分辨率或方向时，NVDA将不再公布“开始”菜单大小文本。

## 活动中心

* 亮度快速操作现在是一个按钮而不是切换按钮。这将是NVDA 2019.1的一部分。
* 现在将朗读各种状态变化，例如Focus Assist和Brightness。这将是NVDA 2019.1的一部分。

## 时锺和闹钟

* 现在可朗读时间选择器值，当将焦点移动到拾取器控件时会很明显。这也会影响用于选择何时重新启动以完成安装Windows更新的控件。这将是NVDA
  2019.1的一部分。

## 计算器

* 按下ENTER或Escape后，NVDA会读出计算结果。
* 对于计算，如单位换算，汇率转换器，NVDA将在输入计算后立即读出结果。
* NVDA将不再朗读计算器结果的“标题级别”。

## 日历

* NVDA不再在邮件正文和其他字段中读出“编辑”或“只读”。

## 小娜

* 来自Cortana的文字回应在大多数情况下都会朗读（如果没有，请重新打开“开始”菜单并再次尝试搜索）。
* 通过语音与Cortana交互时，NVDA将保持沉默。
* NVDA现在会在您设置后提醒您确认。

## 反馈中心

* 对于新的应用程序版本，NVDA将不再对反馈类别重复朗读两次。

## 邮件

* 现在查看消息列表中的项目时，您现在可以使用表格导航命令来查看消息标题。请注意，不支持在行（消息）之间导航。
* 在编写信息时，在提建议的状态用声音提示。

## 地图

* NVDA为地图位置播放位置嘟嘟声。
* 在使用街道视图时，如果启用“使用键盘”选项，NVDA将在您使用箭头键导航地图时读出街道地址。

## 斯巴达浏览器

* 文本自动完成将在地址omnibar中跟踪和公布。
* 现在按F11切换全屏时，NVDA将不再播放建议声音。

## 系统键盘

注意：以下大多数功能现在都是NVDA 2018.3的一部分。

* 现在支持版本1709（秋季创建者更新）及更高版本中的表情符号输入面板，包括版本1809（版本17661及更高版本）中的重新设计的面板以及19H1中的更改​​（构建18262及更高版本，包括构建18305中的kaomoji和符号类别）。如果使用早于2018.4的NVDA版本，为了获得阅读表情符号时的最佳体验，请使用Windows
  OneCore语音合成器。如果正在使用2018.4或更高版本，请从NvDA的语音设置启用Unicode
  Consortium设置，并将符号级别设置为“some”或更高。
* 支持版本1803（2018年4月更新）及更高版本中的硬件键盘输入建议。
* 在1709后的版本中，NVDA将在表情符号面板打开时朗读第一个选定的表情符号。这在构建18262及更高版本中可以体验到，其中表情符号面板可以打开到上次浏览的类别，例如在打开到People类别时显示肤色修饰符。
* 支持在版本1809（版本17666及更高版本）中朗读云剪贴板项目。
* 使用现代键盘及其功能时减少不必要的冗长。这些包括在打开硬件键盘输入建议时不再公布“Microsoft Candidate
  UI”，并且某些触摸键盘键在某些系统上引发名称更改事件时不再保持沉默。
* 在最近的19H1 Insider Preview版本中关闭表情符号面板时，NVDA将不再播放错误音或不执行任何操作。
* 在版本1809（2018年10月更新）及更高版本中，如果可能，NVDA将朗读表情符号的搜索结果。

## {longName} ({name})
版本: {version}
网址: {url}
{copyright}

{name} 遵循 GNU 通用公共授权协议第二版， 您可以自由分享或者以任何方式修改本软件， 但在重新发布时必须包含本协议， 同时必须公开原版和修改版的源代码， 并附上任何用本软件的源代码所产生的软件。
关于授权协议的详情,您可以通过“帮助”菜单的“授权信息”访问。
您也可参看以下网页： https://www.gnu.org/licenses/old-licenses/gpl-2.0.html

{name} 是由非赢利组织“NV Access”开发的一个用于协助视障用户的免费且开放源代码的解决方案。
若您觉的 NVDA 很实用，并希望他可以继续发展，请赞助“NV Access”。您可以通过选择位于 NVDA 主菜单的“捐赠”菜单打开捐赠页面

* 搜索联系人时，将首先朗读搜索的建议，特别是在使用最新的应用程序版本时。

## 设置

* 现在将自动报告某些信息，例如Windows Update进度，包括存储感知/磁盘清理小部件。
* 进度栏值和其他信息不再重复朗读两次。
* 对于某些组合框和单选按钮，NVDA将不再无法识别标签和/或读出更改值。
* 在版本1803和更高版本中不再听到音量进度条蜂鸣声。
* 有关Windows Update状态的更多消息将会公布，特别是如果Windows Update遇到错误的时候。
* 如果在某些情况下使用对象导航命令，NVDA将不再显示任何内容或播放错误音。
* Windows Update提醒对话框被识别为正确的对话框。

## Skype

注意：以下条目在Skype 14通用应用程序中无法正常运行。

* 打字上屏文本朗读，就像Skype的桌面客户端。
* 用于读取最近聊天记录并将导航器对象移动到Skype for Desktop中的聊天条目的Control + NvDA +数字行命令也可在Skype
  UWP中使用。
* 您现在可以按Alt
  +数字行找到并移动到对话（1），联系人列表（2），机器人（3）和聊天编辑字段（如果可见）（4）。请注意，如果安装了2017年3月发布的Skype更新，这些快捷键将正常工作。
* NVDA在浏览多数案件的讯息时将不再读出“Skype讯息”。
* 从消息历史列表中，在消息按NVDA + D将允许NVDA朗读有关消息的详细信息，例如频道类型，发送日期和时间等。

## 商店

* 检查应用程序更新后，应更新的应用程序列表中的应用程序名称将被正确标记。
* 下载应用程序和电影等内容时，NVDA会读出产品名称和下载进度。

## 天气

* 如“预测”和“地图”之类的选项卡被识别为适当的选项卡（由Derek Riemer打补丁）。
* 在阅读预测时，使用左右箭头在项目之间移动。 使用向上和向下箭头阅读各个项目。
  例如，按向右箭头可能会报告“星期一：79度，部分阴天，...”，按向下箭头将会显示“星期一”。然后再次按下将读取下一项（如温度）。
  目前这适用于每日和每小时的预测。

[[!tag dev stable]]

[1]: https://addons.nvda-project.org/files/get.php?file=w10

[2]: https://addons.nvda-project.org/files/get.php?file=w10-dev

[3]: https://github.com/josephsl/wintenapps/wiki/w10changelog
